Bug 151805 - CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker
CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 10:48 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 16:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Dave Miller for RHEL3 (10.26 KB, patch)
2005-03-22 10:48 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-22 10:48:32 EST
This issue now is known to affect linux-2.4

+++ This bug was initially created as a clone of Bug #147468 +++

vendor-sec made us aware of a security relevant problem yesterday (remote
opps/firewall bypass) in the netdev code. 

  http://linux.bkbits.net:8080/linux-2.5/cset@41f8843a8ZMCNuP3meYAYnnXd3CO_g

This is the relevant thread:

  http://oss.sgi.com/archives/netdev/2005-01/msg01036.html

Passed to PeterM for investigation, the patch breaks kABI.
Comment 1 Mark J. Cox (Product Security) 2005-03-22 10:48:32 EST
Created attachment 112218 [details]
Proposed patch from Dave Miller for RHEL3
Comment 2 Ernie Petrides 2005-04-13 20:20:47 EDT
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 3 Ernie Petrides 2005-04-15 21:08:40 EDT
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 4 Josh Bressers 2005-04-22 16:17:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 5 Tim Powers 2005-05-18 09:29:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.